Error message about the environment object "libjoatdclib64.dylib" in OSX El Capitan

Hi All,

My GAMS version is 24.2.3. My program used to run smoothly in MAC, but recently I upgrade OSX to El Capitan (10.11.2), the following error message starting show up and stoping the program.

*** Could not create environment object: dlopen(libjoatdclib64.dylib, 10): image not found (problem occurred when trying to load libjoatdclib64.dylib)
ERROR: Solver CPLEX returned with nonzero exit code 1

I install the native GAMS under Applications. It seems like GAMS cannot find the library… and I should provide a explicit path about the library for the model. However I am not sure how to do it in GAMS running in MAC and is this a really problem causing errors. Any idea?

Thank you so much.


\

To unsubscribe from this group and stop receiving emails from it, send an email to gamsworld+unsubscribe@googlegroups.com.
To post to this group, send email to gamsworld@googlegroups.com.
Visit this group at https://groups.google.com/group/gamsworld.
For more options, visit https://groups.google.com/d/optout.

Hi,

We recently helped a client with the same problem.When you google for this you will find that GAMS is not the only one suffering from this: https://github.com/oracle/node-oracledb/issues/231. It involves El Capitan’s SIP setting and its impact to the DYLD_LIBRARY_PATH environment variable. While you can modify the SIP setting to restore old behavior (see e.g. http://www.macworld.com/article/2986118/security/how-to-modify-system-integrity-protection-in-el-capitan.html) I would not recommend this. So you either can run the latest GAMS that does not use DYLD_LIBRARY_PATH anymore (there are other good reasons to stay current with your GAMS system), or you use the older GAMS version together with solvelink=2 (or 5) on the command line. You can also hard code this in your GAMS source via the option statement “option solvelink=2;”. Some solver only run via solvelink=0 or 1, so in this case you need to adjust the solver script (*.run in the GAMS system directory) by adding the “export DYLD_LIBRARY_PATH=…” into the script. Here it is done for gmsgenus.run:

#!/bin/sh
export DYLD_LIBRARY_PATH=/my/path/to/
gams/system/dir:DYLD_LIBRARY_PATH {5}gmsgenux.out $4 6 [ ? = 0 ] || echo “ERROR: Solver 6 returned with nonzero exitcode ?” 1>&2;
exit 11

Hope this helps.
Michael Bussieck - GAMS World Coordinator

On Wednesday, December 16, 2015 at 2:18:32 AM UTC-5, Wei-Ting Liao wrote:

Hi All,

My GAMS version is 24.2.3. My program used to run smoothly in MAC, but recently I upgrade OSX to El Capitan (10.11.2), the following error message starting show up and stoping the program.

*** Could not create environment object: dlopen(libjoatdclib64.dylib, 10): image not found (problem occurred when trying to load libjoatdclib64.dylib)
ERROR: Solver CPLEX returned with nonzero exit code 1

I install the native GAMS under Applications. It seems like GAMS cannot find the library… and I should provide a explicit path about the library for the model. However I am not sure how to do it in GAMS running in MAC and is this a really problem causing errors. Any idea?

Thank you so much.


\

To unsubscribe from this group and stop receiving emails from it, send an email to gamsworld+unsubscribe@googlegroups.com.
To post to this group, send email to gamsworld@googlegroups.com.
Visit this group at https://groups.google.com/group/gamsworld.
For more options, visit https://groups.google.com/d/optout.

Hi Michael,

Thank you so much for your reply and suggestions. It do works. Thanks again.

Best regards,
Wei-Ting


On Wednesday, December 16, 2015 at 1:43:54 AM UTC-6, Michael Bussieck wrote:

Hi,

We recently helped a client with the same problem.When you google for this you will find that GAMS is not the only one suffering from this: https://github.com/oracle/node-oracledb/issues/231. It involves El Capitan’s SIP setting and its impact to the DYLD_LIBRARY_PATH environment variable. While you can modify the SIP setting to restore old behavior (see e.g. http://www.macworld.com/article/2986118/security/how-to-modify-system-integrity-protection-in-el-capitan.html) I would not recommend this. So you either can run the latest GAMS that does not use DYLD_LIBRARY_PATH anymore (there are other good reasons to stay current with your GAMS system), or you use the older GAMS version together with solvelink=2 (or 5) on the command line. You can also hard code this in your GAMS source via the option statement “option solvelink=2;”. Some solver only run via solvelink=0 or 1, so in this case you need to adjust the solver script (*.run in the GAMS system directory) by adding the “export DYLD_LIBRARY_PATH=…” into the script. Here it is done for gmsgenus.run:

#!/bin/sh
export DYLD_LIBRARY_PATH=/my/path/to/
gams/system/dir:DYLD_LIBRARY_PATH {5}gmsgenux.out $4 6 [ ? = 0 ] || echo “ERROR: Solver 6 returned with nonzero exitcode ?” 1>&2;
exit 11

Hope this helps.
Michael Bussieck - GAMS World Coordinator

On Wednesday, December 16, 2015 at 2:18:32 AM UTC-5, Wei-Ting Liao wrote:

Hi All,

My GAMS version is 24.2.3. My program used to run smoothly in MAC, but recently I upgrade OSX to El Capitan (10.11.2), the following error message starting show up and stoping the program.

*** Could not create environment object: dlopen(libjoatdclib64.dylib, 10): image not found (problem occurred when trying to load libjoatdclib64.dylib)
ERROR: Solver CPLEX returned with nonzero exit code 1

I install the native GAMS under Applications. It seems like GAMS cannot find the library… and I should provide a explicit path about the library for the model. However I am not sure how to do it in GAMS running in MAC and is this a really problem causing errors. Any idea?

Thank you so much.


\

To unsubscribe from this group and stop receiving emails from it, send an email to gamsworld+unsubscribe@googlegroups.com.
To post to this group, send email to gamsworld@googlegroups.com.
Visit this group at https://groups.google.com/group/gamsworld.
For more options, visit https://groups.google.com/d/optout.